Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Casio.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Casio.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Casio.pm	(revision 34921)
@@ -590,12 +1577,14 @@
         },
     },
-    0x3009 => { #PH (EX-Z77)
+    0x3009 => { #6
         Name => 'AFMode',
         Writable => 'int16u',
         PrintConv => {
             0 => 'Off',
-            1 => 'On',
-            # have seen 2(EX-Z35 macro/portrait), 3(portrait) and 5(auto mode)
-            4 => 'Face Recognition', # "Family First"
+            1 => 'Spot',
+            2 => 'Multi',
+            3 => 'Face Detection',
+            4 => 'Tracking', # (but saw this for "Family First" mode with EX-Z77 - PH)
+            5 => 'Intelligent',
         },
     },
@@ -623,5 +1612,5 @@
         Name => 'ColorMode',
         Writable => 'int16u',
-        PrintConv => {  
+        PrintConv => {
             0 => 'Off',
             2 => 'Black & White', #PH (EX-Z400,FH20)
@@ -654,7 +1643,6 @@
     },
     0x301b => { #PH
-        Name => 'UnknownMode',
-        Writable => 'int16u',
-        Unknown => 1,
+        Name => 'ArtMode',
+        Writable => 'int16u',
         PrintConv => {
             0 => 'Normal',
@@ -665,5 +1653,10 @@
             49 => 'Crayon Drawing', # (EX-2300)
             51 => 'Panorama', # (EX-ZR10)
-            52 => 'Art HDR', # (EX-ZR10)
+            52 => 'Art HDR', # (EX-ZR10,EX-Z3000)
+            62 => 'High Speed Night Shot', # (EX-ZR20)
+            64 => 'Monochrome', # (EX-ZR20)
+            67 => 'Toy Camera', # (EX-ZR20)
+            68 => 'Pop Art', # (EX-ZR20)
+            69 => 'Light Tone', # (EX-ZR20)
         },
     },
@@ -685,13 +1678,18 @@
             1 => 'On',
             2 => 'Best Shot',
-            # 3 observed in MOV videos (EX-V7)
+            3 => 'Movie Anti-Shake', # (EX-V7, EX-TR100)
             # (newer models write 2 numbers here - PH)
             '0 0' => 'Off', #PH
-            # have seen '0 1' for EX-Z2000 which has 5 modes: Auto, Camera AS, Image AS, DEMO, Off
             '16 0' => 'Slow Shutter', #PH (EX-Z77)
             '18 0' => 'Anti-Shake', #PH (EX-Z77)
             '20 0' => 'High Sensitivity', #PH (EX-Z77)
-            '0 3' => 'CCD Shift', #PH (guess)
-            '2 3' => 'High Speed Anti-Shake', #PH (EX-FC150)
+            # EX-Z2000 in 'Auto' mode gives '0 3' or '2 3' (ref 6)
+            '0 1' => 'Off (1)', #6
+            '0 3' => 'CCD Shift', #PH/6 ("Camera AS" in EX-Z2000 manual)
+            '2 1' => 'High Sensitivity', #6
+            '2 3' => 'CCD Shift + High Sensitivity', #PH (EX-FC150)
+            # have also seen:
+            # '2 0' - EX-Z15 1/60s ISO 200, EX-Z77 1/1000s ISO 50
+            # '16 1' - EX-Z2300 1/125s ISO 50
         },
     },
@@ -759,4 +1757,13 @@
         },
     },
+    0x310b => { #PH (NC)
+        Name => 'ArtModeParameters',
+        Writable => 'int8u',
+        Count => 3,
+        # "0 1 0" = Toy camera 1
+        # "0 2 0" = Toy camera 1
+        # "0 3 0" = Toy camera 1
+        # Have also seen "0 0 0" and "2 0 0"
+    },
     0x4001 => { #PH (AVI videos)
         Name => 'CaptureFrameRate',
@@ -889,4 +1896,5 @@
             2 => 'Rotate 270 CW',
             3 => 'Rotate 180', # (NC)
+            # (have seen 64 here, but image had no face)
         },
         Notes => 'orientation of face relative to unrotated image',
@@ -1027,5 +2035,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset.pm	(revision 34921)
@@ -15,5 +15,5 @@
 use Image::ExifTool qw(:DataAccess :Utils);
 
-$VERSION = '1.07';
+$VERSION = '1.11';
 
 my %charsetTable;   # character set tables we've loaded
@@ -58,4 +58,7 @@
     Latin        => 0x101,
     Latin2       => 0x101,
+    DOSLatinUS   => 0x101,
+    DOSLatin1    => 0x101,
+    DOSCyrillic  => 0x101,
     MacCroatian  => 0x101,
     MacCyrillic  => 0x101,
@@ -107,4 +110,31 @@
 
 #------------------------------------------------------------------------------
+# Does an array contain valid UTF-16 characters?
+# Inputs: 0) array reference to list of UCS-2 values
+# Returns: 0=invalid UTF-16, 1=valid UTF-16 with no surrogates, 2=valid UTF-16 with surrogates
+sub IsUTF16($)
+{
+    local $_;
+    my $uni = shift;
+    my $surrogate;
+    foreach (@$uni) {
+        my $hiBits = ($_ & 0xfc00);
+        if ($hiBits == 0xfc00) {
+            # check for invalid values in UTF-16
+            return 0 if $_ == 0xffff or $_ == 0xfffe or ($_ >= 0xfdd0 and $_ <= 0xfdef);
+        } elsif ($surrogate) {
+            return 0 if $hiBits != 0xdc00;
+            $surrogate = 0;
+        } else {
+            return 0 if $hiBits == 0xdc00;
+            $surrogate = 1 if $hiBits == 0xd800;
+        }
+    }
+    return 1 if not defined $surrogate;
+    return 2 unless $surrogate;
+    return 0;
+}
+
+#------------------------------------------------------------------------------
 # Decompose string with specified encoding into an array of integer code points
 # Inputs: 0) ExifTool object ref (or undef), 1) string, 2) character set name,
@@ -115,8 +145,9 @@
 # - byte order mark observed and then removed with UCS2 and UCS4
 # - no warnings are issued if ExifTool object is not provided
+# - sets ExifTool WrongByteOrder flag if byte order is Unknown and current order is wrong
 sub Decompose($$$;$)
 {
     local $_;
-    my ($exifTool, $val, $charset) = @_; # ($byteOrder assigned later if required)
+    my ($et, $val, $charset) = @_; # ($byteOrder assigned later if required)
     my $type = $csType{$charset};
     my (@uni, $conv);
@@ -126,5 +157,5 @@
         unless ($conv) {
             # (shouldn't happen)
-            $exifTool->Warn("Invalid character set $charset") if $exifTool;
+            $et->Warn("Invalid character set $charset") if $et;
             return \@uni;   # error!
         }
@@ -141,7 +172,7 @@
             @uni = unpack($] < 5.010000 ? 'U0U*' : 'C0U*', $val);
             # issue warning if we had errors
-            if ($Image::ExifTool::evalWarning and $exifTool and not $$exifTool{WarnBadUTF8}) {
-                $exifTool->Warn('Malformed UTF-8 character(s)');
-                $$exifTool{WarnBadUTF8} = 1;
+            if ($Image::ExifTool::evalWarning and $et and not $$et{WarnBadUTF8}) {
+                $et->Warn('Malformed UTF-8 character(s)');
+                $$et{WarnBadUTF8} = 1;
             }
         }
@@ -196,4 +227,5 @@
                     $fmt =~ tr/nvNV/vnVN/;
                     @uni = unpack($fmt, $val);
+                    $$et{WrongByteOrder} = 1;
                 }
             }
@@ -225,5 +257,8 @@
                 }
                 # use this byte order if there are fewer errors
-                return \@try if $e2 < $e1;
+                if ($e2 < $e1) {
+                    $$et{WrongByteOrder} = 1;
+                    return \@try;
+                }
             }
         } else {
@@ -275,7 +310,7 @@
 {
     local $_;
-    my ($exifTool, $uni, $charset) = @_; # ($byteOrder assigned later if required)
+    my ($et, $uni, $charset) = @_; # ($byteOrder assigned later if required)
     my ($outVal, $conv, $inv);
-    $charset or $charset = $$exifTool{OPTIONS}{Charset};
+    $charset or $charset = $$et{OPTIONS}{Charset};
     my $csType = $csType{$charset};
     if ($csType == 0x100) {     # UTF8 (also treat ASCII as UTF8)
@@ -294,5 +329,5 @@
         $conv = LoadCharset($charset);
         unless ($conv) {
-            $exifTool->Warn("Missing charset $charset") if $exifTool;
+            $et->Warn("Missing charset $charset") if $et;
             return '';
         }
@@ -301,5 +336,5 @@
         unless ($inv) {
             if (not $csType or $csType & 0x802) {
-                $exifTool->Warn("Invalid destination charset $charset") if $exifTool;
+                $et->Warn("Invalid destination charset $charset") if $et;
                 return '';
             }
@@ -322,7 +357,7 @@
             next if $_ < 0x100 and not $$conv{$_};
             $_ = ord('?');  # set invalid characters to '?'
-            if ($exifTool and not $$exifTool{EncodingError}) {
-                $exifTool->Warn("Some character(s) could not be encoded in $charset");
-                $$exifTool{EncodingError} = 1;
+            if ($et and not $$et{EncodingError}) {
+                $et->Warn("Some character(s) could not be encoded in $charset");
+                $$et{EncodingError} = 1;
             }
         }
@@ -374,16 +409,17 @@
 
   UTF8, UTF16, UCS2, UCS4, Arabic, Baltic, Cyrillic, Greek, Hebrew, JIS,
-  Latin, Latin2, MacArabic, MacChineseCN, MacChineseTW, MacCroatian,
-  MacCyrillic, MacGreek, MacHebrew, MacIceland, MacJapanese, MacKorean,
-  MacLatin2, MacRSymbol, MacRoman, MacRomanian, MacThai, MacTurkish,
-  PDFDoc, RSymbol, ShiftJIS, Symbol, Thai, Turkish, Vietnam
+  Latin, Latin2, DOSLatinUS, DOSLatin1, DOSCyrillic, MacArabic,
+  MacChineseCN, MacChineseTW, MacCroatian, MacCyrillic, MacGreek, MacHebrew,
+  MacIceland, MacJapanese, MacKorean, MacLatin2, MacRSymbol, MacRoman,
+  MacRomanian, MacThai, MacTurkish, PDFDoc, RSymbol, ShiftJIS, Symbol, Thai,
+  Turkish, Vietnam
 
 However, only some of these character sets are available to the user via
-ExifTool options; the multi-byte character sets are used only internally
+ExifTool options -- the multi-byte character sets are used only internally
 when decoding certain types of information.
 
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSCyrillic.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSCyrillic.pm	(revision 34921)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSCyrillic.pm	(revision 34921)
@@ -0,0 +1,49 @@
+#------------------------------------------------------------------------------
+# File:         DOSCyrillic.pm
+#
+# Description:  cp866 to Unicode
+#
+# Revisions:    2020/03/23 - P. Harvey created
+#
+# References:   1) https://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP866.TXT
+#
+# Notes:        The table omits 1-byte characters with the same values as Unicode
+#------------------------------------------------------------------------------
+use strict;
+
+%Image::ExifTool::Charset::DOSCyrillic = (
+  0x80 => 0x0410, 0x81 => 0x0411, 0x82 => 0x0412, 0x83 => 0x0413,
+  0x84 => 0x0414, 0x85 => 0x0415, 0x86 => 0x0416, 0x87 => 0x0417,
+  0x88 => 0x0418, 0x89 => 0x0419, 0x8a => 0x041a, 0x8b => 0x041b,
+  0x8c => 0x041c, 0x8d => 0x041d, 0x8e => 0x041e, 0x8f => 0x041f,
+  0x90 => 0x0420, 0x91 => 0x0421, 0x92 => 0x0422, 0x93 => 0x0423,
+  0x94 => 0x0424, 0x95 => 0x0425, 0x96 => 0x0426, 0x97 => 0x0427,
+  0x98 => 0x0428, 0x99 => 0x0429, 0x9a => 0x042a, 0x9b => 0x042b,
+  0x9c => 0x042c, 0x9d => 0x042d, 0x9e => 0x042e, 0x9f => 0x042f,
+  0xa0 => 0x0430, 0xa1 => 0x0431, 0xa2 => 0x0432, 0xa3 => 0x0433,
+  0xa4 => 0x0434, 0xa5 => 0x0435, 0xa6 => 0x0436, 0xa7 => 0x0437,
+  0xa8 => 0x0438, 0xa9 => 0x0439, 0xaa => 0x043a, 0xab => 0x043b,
+  0xac => 0x043c, 0xad => 0x043d, 0xae => 0x043e, 0xaf => 0x043f,
+  0xb0 => 0x2591, 0xb1 => 0x2592, 0xb2 => 0x2593, 0xb3 => 0x2502,
+  0xb4 => 0x2524, 0xb5 => 0x2561, 0xb6 => 0x2562, 0xb7 => 0x2556,
+  0xb8 => 0x2555, 0xb9 => 0x2563, 0xba => 0x2551, 0xbb => 0x2557,
+  0xbc => 0x255d, 0xbd => 0x255c, 0xbe => 0x255b, 0xbf => 0x2510,
+  0xc0 => 0x2514, 0xc1 => 0x2534, 0xc2 => 0x252c, 0xc3 => 0x251c,
+  0xc4 => 0x2500, 0xc5 => 0x253c, 0xc6 => 0x255e, 0xc7 => 0x255f,
+  0xc8 => 0x255a, 0xc9 => 0x2554, 0xca => 0x2569, 0xcb => 0x2566,
+  0xcc => 0x2560, 0xcd => 0x2550, 0xce => 0x256c, 0xcf => 0x2567,
+  0xd0 => 0x2568, 0xd1 => 0x2564, 0xd2 => 0x2565, 0xd3 => 0x2559,
+  0xd4 => 0x2558, 0xd5 => 0x2552, 0xd6 => 0x2553, 0xd7 => 0x256b,
+  0xd8 => 0x256a, 0xd9 => 0x2518, 0xda => 0x250c, 0xdb => 0x2588,
+  0xdc => 0x2584, 0xdd => 0x258c, 0xde => 0x2590, 0xdf => 0x2580,
+  0xe0 => 0x0440, 0xe1 => 0x0441, 0xe2 => 0x0442, 0xe3 => 0x0443,
+  0xe4 => 0x0444, 0xe5 => 0x0445, 0xe6 => 0x0446, 0xe7 => 0x0447,
+  0xe8 => 0x0448, 0xe9 => 0x0449, 0xea => 0x044a, 0xeb => 0x044b,
+  0xec => 0x044c, 0xed => 0x044d, 0xee => 0x044e, 0xef => 0x044f,
+  0xf0 => 0x0401, 0xf1 => 0x0451, 0xf2 => 0x0404, 0xf3 => 0x0454,
+  0xf4 => 0x0407, 0xf5 => 0x0457, 0xf6 => 0x040e, 0xf7 => 0x045e,
+  0xf8 => 0x00b0, 0xf9 => 0x2219, 0xfa => 0x00b7, 0xfb => 0x221a,
+  0xfc => 0x2116, 0xfd => 0x00a4, 0xfe => 0x25a0, 0xff => 0x00a0,
+);
+
+1; # end
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSLatin1.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSLatin1.pm	(revision 34921)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSLatin1.pm	(revision 34921)
@@ -0,0 +1,49 @@
+#------------------------------------------------------------------------------
+# File:         DOSLatin1.pm
+#
+# Description:  cp850 to Unicode
+#
+# Revisions:    2017/10/31- P. Harvey created
+#
+# References:   1) http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP850.TXT
+#
+# Notes:        The table omits 1-byte characters with the same values as Unicode
+#------------------------------------------------------------------------------
+use strict;
+
+%Image::ExifTool::Charset::DOSLatin1 = (
+  0x80 => 0x00c7, 0x81 => 0x00fc, 0x82 => 0x00e9, 0x83 => 0x00e2,
+  0x84 => 0x00e4, 0x85 => 0x00e0, 0x86 => 0x00e5, 0x87 => 0x00e7,
+  0x88 => 0x00ea, 0x89 => 0x00eb, 0x8a => 0x00e8, 0x8b => 0x00ef,
+  0x8c => 0x00ee, 0x8d => 0x00ec, 0x8e => 0x00c4, 0x8f => 0x00c5,
+  0x90 => 0x00c9, 0x91 => 0x00e6, 0x92 => 0x00c6, 0x93 => 0x00f4,
+  0x94 => 0x00f6, 0x95 => 0x00f2, 0x96 => 0x00fb, 0x97 => 0x00f9,
+  0x98 => 0x00ff, 0x99 => 0x00d6, 0x9a => 0x00dc, 0x9b => 0x00f8,
+  0x9c => 0x00a3, 0x9d => 0x00d8, 0x9e => 0x00d7, 0x9f => 0x0192,
+  0xa0 => 0x00e1, 0xa1 => 0x00ed, 0xa2 => 0x00f3, 0xa3 => 0x00fa,
+  0xa4 => 0x00f1, 0xa5 => 0x00d1, 0xa6 => 0x00aa, 0xa7 => 0x00ba,
+  0xa8 => 0x00bf, 0xa9 => 0x00ae, 0xaa => 0x00ac, 0xab => 0x00bd,
+  0xac => 0x00bc, 0xad => 0x00a1, 0xae => 0x00ab, 0xaf => 0x00bb,
+  0xb0 => 0x2591, 0xb1 => 0x2592, 0xb2 => 0x2593, 0xb3 => 0x2502,
+  0xb4 => 0x2524, 0xb5 => 0x00c1, 0xb6 => 0x00c2, 0xb7 => 0x00c0,
+  0xb8 => 0x00a9, 0xb9 => 0x2563, 0xba => 0x2551, 0xbb => 0x2557,
+  0xbc => 0x255d, 0xbd => 0x00a2, 0xbe => 0x00a5, 0xbf => 0x2510,
+  0xc0 => 0x2514, 0xc1 => 0x2534, 0xc2 => 0x252c, 0xc3 => 0x251c,
+  0xc4 => 0x2500, 0xc5 => 0x253c, 0xc6 => 0x00e3, 0xc7 => 0x00c3,
+  0xc8 => 0x255a, 0xc9 => 0x2554, 0xca => 0x2569, 0xcb => 0x2566,
+  0xcc => 0x2560, 0xcd => 0x2550, 0xce => 0x256c, 0xcf => 0x00a4,
+  0xd0 => 0x00f0, 0xd1 => 0x00d0, 0xd2 => 0x00ca, 0xd3 => 0x00cb,
+  0xd4 => 0x00c8, 0xd5 => 0x0131, 0xd6 => 0x00cd, 0xd7 => 0x00ce,
+  0xd8 => 0x00cf, 0xd9 => 0x2518, 0xda => 0x250c, 0xdb => 0x2588,
+  0xdc => 0x2584, 0xdd => 0x00a6, 0xde => 0x00cc, 0xdf => 0x2580,
+  0xe0 => 0x00d3, 0xe1 => 0x00df, 0xe2 => 0x00d4, 0xe3 => 0x00d2,
+  0xe4 => 0x00f5, 0xe5 => 0x00d5, 0xe6 => 0x00b5, 0xe7 => 0x00fe,
+  0xe8 => 0x00de, 0xe9 => 0x00da, 0xea => 0x00db, 0xeb => 0x00d9,
+  0xec => 0x00fd, 0xed => 0x00dd, 0xee => 0x00af, 0xef => 0x00b4,
+  0xf0 => 0x00ad, 0xf1 => 0x00b1, 0xf2 => 0x2017, 0xf3 => 0x00be,
+  0xf4 => 0x00b6, 0xf5 => 0x00a7, 0xf6 => 0x00f7, 0xf7 => 0x00b8,
+  0xf8 => 0x00b0, 0xf9 => 0x00a8, 0xfa => 0x00b7, 0xfb => 0x00b9,
+  0xfc => 0x00b3, 0xfd => 0x00b2, 0xfe => 0x25a0, 0xff => 0x00a0,
+);
+
+1; # end
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSLatinUS.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSLatinUS.pm	(revision 34921)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Charset/DOSLatinUS.pm	(revision 34921)
@@ -0,0 +1,49 @@
+#------------------------------------------------------------------------------
+# File:         DOSLatinUS.pm
+#
+# Description:  cp437 to Unicode
+#
+# Revisions:    2017/10/31- P. Harvey created
+#
+# References:   1) http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/CP437.TXT
+#
+# Notes:        The table omits 1-byte characters with the same values as Unicode
+#------------------------------------------------------------------------------
+use strict;
+
+%Image::ExifTool::Charset::DOSLatinUS = (
+  0x80 => 0x00c7, 0x81 => 0x00fc, 0x82 => 0x00e9, 0x83 => 0x00e2,
+  0x84 => 0x00e4, 0x85 => 0x00e0, 0x86 => 0x00e5, 0x87 => 0x00e7,
+  0x88 => 0x00ea, 0x89 => 0x00eb, 0x8a => 0x00e8, 0x8b => 0x00ef,
+  0x8c => 0x00ee, 0x8d => 0x00ec, 0x8e => 0x00c4, 0x8f => 0x00c5,
+  0x90 => 0x00c9, 0x91 => 0x00e6, 0x92 => 0x00c6, 0x93 => 0x00f4,
+  0x94 => 0x00f6, 0x95 => 0x00f2, 0x96 => 0x00fb, 0x97 => 0x00f9,
+  0x98 => 0x00ff, 0x99 => 0x00d6, 0x9a => 0x00dc, 0x9b => 0x00a2,
+  0x9c => 0x00a3, 0x9d => 0x00a5, 0x9e => 0x20a7, 0x9f => 0x0192,
+  0xa0 => 0x00e1, 0xa1 => 0x00ed, 0xa2 => 0x00f3, 0xa3 => 0x00fa,
+  0xa4 => 0x00f1, 0xa5 => 0x00d1, 0xa6 => 0x00aa, 0xa7 => 0x00ba,
+  0xa8 => 0x00bf, 0xa9 => 0x2310, 0xaa => 0x00ac, 0xab => 0x00bd,
+  0xac => 0x00bc, 0xad => 0x00a1, 0xae => 0x00ab, 0xaf => 0x00bb,
+  0xb0 => 0x2591, 0xb1 => 0x2592, 0xb2 => 0x2593, 0xb3 => 0x2502,
+  0xb4 => 0x2524, 0xb5 => 0x2561, 0xb6 => 0x2562, 0xb7 => 0x2556,
+  0xb8 => 0x2555, 0xb9 => 0x2563, 0xba => 0x2551, 0xbb => 0x2557,
+  0xbc => 0x255d, 0xbd => 0x255c, 0xbe => 0x255b, 0xbf => 0x2510,
+  0xc0 => 0x2514, 0xc1 => 0x2534, 0xc2 => 0x252c, 0xc3 => 0x251c,
+  0xc4 => 0x2500, 0xc5 => 0x253c, 0xc6 => 0x255e, 0xc7 => 0x255f,
+  0xc8 => 0x255a, 0xc9 => 0x2554, 0xca => 0x2569, 0xcb => 0x2566,
+  0xcc => 0x2560, 0xcd => 0x2550, 0xce => 0x256c, 0xcf => 0x2567,
+  0xd0 => 0x2568, 0xd1 => 0x2564, 0xd2 => 0x2565, 0xd3 => 0x2559,
+  0xd4 => 0x2558, 0xd5 => 0x2552, 0xd6 => 0x2553, 0xd7 => 0x256b,
+  0xd8 => 0x256a, 0xd9 => 0x2518, 0xda => 0x250c, 0xdb => 0x2588,
+  0xdc => 0x2584, 0xdd => 0x258c, 0xde => 0x2590, 0xdf => 0x2580,
+  0xe0 => 0x03b1, 0xe1 => 0x00df, 0xe2 => 0x0393, 0xe3 => 0x03c0,
+  0xe4 => 0x03a3, 0xe5 => 0x03c3, 0xe6 => 0x00b5, 0xe7 => 0x03c4,
+  0xe8 => 0x03a6, 0xe9 => 0x0398, 0xea => 0x03a9, 0xeb => 0x03b4,
+  0xec => 0x221e, 0xed => 0x03c6, 0xee => 0x03b5, 0xef => 0x2229,
+  0xf0 => 0x2261, 0xf1 => 0x00b1, 0xf2 => 0x2265, 0xf3 => 0x2264,
+  0xf4 => 0x2320, 0xf5 => 0x2321, 0xf6 => 0x00f7, 0xf7 => 0x2248,
+  0xf8 => 0x00b0, 0xf9 => 0x2219, 0xfa => 0x00b7, 0xfb => 0x221a,
+  0xfc => 0x207f, 0xfd => 0x00b2, 0xfe => 0x25a0, 0xff => 0x00a0,
+);
+
+1; # end
